file(GLOB_RECURSE APP_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/device_identity/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/device_change/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/main/*.c
)

set(APP_SOURCES
    ${APP_SOURCES}
    PARENT_SCOPE
)

set(APP_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/device_identity
    ${CMAKE_CURRENT_SOURCE_DIR}/device_change
    ${CMAKE_CURRENT_SOURCE_DIR}/main
    PARENT_SCOPE
)
